@ECHO OFF
REM -- DOS script for installing the relevant parts of the GBDK library

CALL ..\configure.bat
CALL localconfigure.bat

IF DEFINED TARGET_INCLUDE_ROOT_DIR GOTO :ELSE1
  ECHO ### ERROR: configuration file not adapted - please edit it first ###
  GOTO :ENDIF1
:ELSE1
  REM -- make the target directories
  ECHO ### GBDK: making target directories ###
  IF NOT EXIST %TARGET_INCLUDE_DIR%\NUL  %MKDIR_PROGRAM% %TARGET_INCLUDE_DIR%
  IF NOT EXIST %TARGET_OBJECT_DIR_A%\NUL %MKDIR_PROGRAM% %TARGET_OBJECT_DIR_A%
  IF NOT EXIST %TARGET_OBJECT_DIR_B%\NUL %MKDIR_PROGRAM% %TARGET_OBJECT_DIR_B%

  REM -- copy the include and object files to the appropriate directories
  ECHO ### GBDK: copying files ###
  %CP_PROGRAM% include\*.h %TARGET_INCLUDE_DIR%
  %CP_PROGRAM% objects\gb\*.* %TARGET_OBJECT_DIR_A%
  %CP_PROGRAM% objects\sdcc-gbz80\*.* %TARGET_OBJECT_DIR_B%
:ENDIF1
